%define upstream_name    WWW-Pastebin-PastebinCom-Create
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Paste to http://pastebin.com from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-test-https.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 1.4.1
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize) >= 1.730.0
BuildRequires: perl(overload)
BuildArch:  noarch

%description
The module provides means of pasting large texts into the
http://pastebin.com manpage pastebin site.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Tests require a connection to pastebin.com which is not allowed on the buildsystem
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/WWW


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.3.0-10.mga9
+ Revision: 1817369
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-9.mga8
+ Revision: 1498271
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-8.mga7
+ Revision: 1272693
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 akien <akien> 1.3.0-7.mga6
+ Revision: 1106505
- Disable tests on the buildsystem, they require Internet access
- Fix test since pastebin.com enforces https

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-6.mga6
+ Revision: 1035814
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-5.mga6
+ Revision: 943535
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 745804
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.3.0-3.mga5
+ Revision: 732620
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 686858
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.3.0-1.mga5
+ Revision: 588838
- update to 1.003

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 515902
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 374780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.4.0-1.mga2
+ Revision: 179271
- update to 0.004

* Sun Jan 23 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 34430
- mageia rebuild
- imported package perl-WWW-Pastebin-PastebinCom-Create


* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 526460
- update to 0.003

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.002-2mdv2010.0
+ Revision: 440747
- rebuild

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.002-1mdv2009.1
+ Revision: 330951
- update to new version 0.002
- update to new version 0.002

* Fri Jan 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.001-1mdv2009.1
+ Revision: 327407
- import perl-WWW-Pastebin-PastebinCom-Create


* Fri Jan 09 2009 cpan2dist 0.001-1mdv
- initial mdv release, generated with cpan2dist

